## mysql-navigator 1.2.4

=== Makefile ===
#############################################################################
# Makefile for building targets in sub directories.
# Generated by tmake at 13:08, 2001/03/30
#     Project: build
#    Template: subdirs
#############################################################################

MAKEFILE=	Makefile
TMAKE	=	tmake
MYSQL_NAVIGATOR_HOME=/usr/local/share/mysql_navigator

SUBDIRS	=	./src/mysql \
		./src/main

all: $(SUBDIRS)

$(SUBDIRS): FORCE
	cd $@; $(MAKE)

tmake:
	tmake build.pro

tmake_all:
	for i in $(SUBDIRS); do ( cd $$i ; $(TMAKE) $$i.pro -o $(MAKEFILE); grep "TEMPLATE.*subdirs" $$i.pro 2>/dev/null >/dev/null && $(MAKE) -f $(MAKEFILE) tmake ) ; done

clean:
	for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) clean ) ; done

FORCE:

install:
	install -d $(MYSQL_NAVIGATOR_HOME)/po
	install -d $(MYSQL_NAVIGATOR_HOME)/pics
	install -s bin/mysql_navigator /usr/local/bin
	cp -f ./po/* $(MYSQL_NAVIGATOR_HOME)/po
	cp -f ./pics/* $(MYSQL_NAVIGATOR_HOME)/pics
	cp -df lib/libmysqlui.* /usr/local/lib

deinstall:
	rm -rf $(MYSQL_NAVIGATOR_HOME)
	rm -rf /usr/local/bin/mysql_navigator
	rm -rf /usr/local/lib/libmysqlui.*

=== src/main/Makefile ===
#############################################################################
# Makefile for building ../../bin/mysql_navigator
# Generated by tmake at 15:55, 2001/06/13
#     Project: main
#    Template: app
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CXXFLAGS=	-pipe -Wall -W -O2 -DNO_DEBUG -DMYSQL_NAVIGATOR_HOME=\"/usr/local/share/mysql_navigator\"
CXXFLAGS=	-pipe -Wall -W -O2 -DNO_DEBUG -DMYSQL_NAVIGATOR_HOME=\"/usr/local/share/mysql_navigator\"
INCPATH	=	-I../../include -I/usr/local/mysql/include/mysql -I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	
LIBS	=	-L$(QTDIR)/lib -L/usr/X11R6/lib -L../../lib -lmysqlui -lqt -lXext -lX11 -lm
MOC	=	$(QTDIR)/bin/moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	
SOURCES =	./main.cxx
OBJECTS =	./main.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	../../bin/mysql_navigator

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake main.pro

dist:
	$(TAR) main.tar main.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) main.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

./main.o: ./main.cxx \
		resource.h

=== src/mysql/Makefile ===
#############################################################################
# Makefile for building libmysqlui.so.1.0.0
# Generated by tmake at 15:55, 2001/06/13
#     Project: mysql
#    Template: lib
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -Wall -W -O2 -fPIC -DNO_DEBUG
CXXFLAGS=	-pipe -Wall -W -O2 -fPIC -DNO_DEBUG
INCPATH	=	-I../../pics -I../../include -I/usr/local/mysql/include/mysql -I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	-shared -Wl,-soname,libmysqlui.so.1
LIBS	=	-L$(QTDIR)/lib -L/usr/X11R6/lib -lmysqlclient -lqt -lXext -lX11 -lm
AR	=	ar cqs
RANLIB	=	
MOC	=	$(QTDIR)/bin/moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	../../include/mainwindow.h \
		../../include/connect.h \
		../../include/mdiwindow.h \
		../../include/user.h \
		../../include/table.h \
		../../include/script.h \
		../../include/edit.h \
		../../include/file.h \
		../../include/log.h \
		../../include/about.h \
		../../include/query.h \
		../../include/schema.h \
		../../include/flush.h \
		../../include/process.h \
		../../include/xport.h \
		../../include/querylistview.h \
		../../include/querytable.h \
		../../include/field.h \
		../../include/privilege.h \
		../../include/xonfigure.h \
		../../include/xworkspace.h \
		../../include/xuery.h \
		../../include/password.h \
		../../include/stepstyle.h \
		../../include/find.h
SOURCES =	./mainwindow/mainwindow.cxx \
		./mainwindow/mainwindowevent.cxx \
		./mainwindow/mainwindowglobal.cxx \
		./mainwindow/mainwindowsignal.cxx \
		./mainwindow/mainwindowlayout.cxx \
		./mainwindow/mdiwindow.cxx \
		./connect/connect.cxx \
		./connect/connectsignal.cxx \
		./connect/slot/connectslot.cxx \
		./user/user.cxx \
		./user/usersignal.cxx \
		./user/slot/userslot.cxx \
		./table/table.cxx \
		./table/tablesignal.cxx \
		./table/slot/tableslot.cxx \
		./script/script.cxx \
		./script/scriptsignal.cxx \
		./script/slot/scriptslot.cxx \
		./edit/edit.cxx \
		./edit/slot/editslot.cxx \
		./edit/slot/fileslot.cxx \
		./edit/filesignal.cxx \
		./edit/file.cxx \
		./about/about.cxx \
		./query/query.cxx \
		./query/querysignal.cxx \
		./query/slot/queryslot.cxx \
		./log/log.cxx \
		./log/logsignal.cxx \
		./log/slot/logslot.cxx \
		./mainwindow/slot/mainwindowslot.cxx \
		./mainwindow/slot/mainwindowslotlog.cxx \
		./mainwindow/slot/mainwindowslotflush.cxx \
		./mainwindow/slot/mainwindowslotstatus.cxx \
		./mainwindow/slot/mainwindowslotscript.cxx \
		./mainwindow/slot/mainwindowslottable.cxx \
		./mainwindow/slot/mainwindowslotquery.cxx \
		./mainwindow/slot/mainwindowslotuser.cxx \
		./mainwindow/slot/mainwindowslotstyle.cxx \
		./mainwindow/slot/mainwindowslotconnect.cxx \
		./mainwindow/slot/mainwindowslotwindow.cxx \
		./mainwindow/slot/mainwindowslotabout.cxx \
		./mainwindow/slot/mainwindowslotschema.cxx \
		./mainwindow/slot/mainwindowslotschemahost.cxx \
		./mainwindow/slot/mainwindowslotschemadatabase.cxx \
		./mainwindow/slot/mainwindowslotschematable.cxx \
		./mainwindow/slot/mainwindowslotschemafield.cxx \
		./mainwindow/slot/mainwindowslotprocess.cxx \
		./mainwindow/slot/mainwindowslotvariable.cxx \
		./mainwindow/slot/mainwindowslotping.cxx \
		./mainwindow/slot/mainwindowslotpassword.cxx \
		./mainwindow/slot/mainwindowslotxport.cxx \
		./mainwindow/slot/mainwindowslothighlight.cxx \
		./mainwindow/slot/mainwindowslotshutdown.cxx \
		./mainwindow/slot/mainwindowslotprivilege.cxx \
		./mainwindow/slot/mainwindowslotxonfigure.cxx \
		./mainwindow/slot/mainwindowslotfind.cxx \
		./mainwindow/mainwindowsession.cxx \
		./mainwindow/mainwindowmenu.cxx \
		./mainwindow/mainwindowhistory.cxx \
		./widget/multilinelistviewitem.cxx \
		./widget/querylistview.cxx \
		./widget/querytable.cxx \
		./widget/serverlistviewitem.cxx \
		./schema/slot/schemaslot.cxx \
		./schema/schema.cxx \
		./flush/flush.cxx \
		./flush/flushsignal.cxx \
		./flush/slot/flushslot.cxx \
		./process/process.cxx \
		./process/processsignal.cxx \
		./process/slot/processslot.cxx \
		./xport/xport.cxx \
		./xport/xportsignal.cxx \
		./xport/slot/xportslot.cxx \
		./xport/import.cxx \
		./xport/export.cxx \
		./field/field.cxx \
		./field/fieldsignal.cxx \
		./field/slot/fieldslot.cxx \
		./privilege/privilege.cxx \
		./privilege/privilegesignal.cxx \
		./privilege/slot/privilegeslot.cxx \
		./xonfigure/xonfigure.cxx \
		./xonfigure/xonfiguresignal.cxx \
		./xonfigure/slot/xonfigureslot.cxx \
		./widget/xworkspace.cxx \
		./xuery/xuery.cxx \
		./xuery/xuerysignal.cxx \
		./xuery/slot/xueryslot.cxx \
		./password/password.cxx \
		./password/passwordsignal.cxx \
		./password/slot/passwordslot.cxx \
		./style/jfcstyle.cpp \
		./style/stepstyle.cpp \
		./find/find.cxx \
		./find/findsignal.cxx \
		./find/slot/findslot.cxx
OBJECTS =	./mainwindow/mainwindow.o \
		./mainwindow/mainwindowevent.o \
		./mainwindow/mainwindowglobal.o \
		./mainwindow/mainwindowsignal.o \
		./mainwindow/mainwindowlayout.o \
		./mainwindow/mdiwindow.o \
		./connect/connect.o \
		./connect/connectsignal.o \
		./connect/slot/connectslot.o \
		./user/user.o \
		./user/usersignal.o \
		./user/slot/userslot.o \
		./table/table.o \
		./table/tablesignal.o \
		./table/slot/tableslot.o \
		./script/script.o \
		./script/scriptsignal.o \
		./script/slot/scriptslot.o \
		./edit/edit.o \
		./edit/slot/editslot.o \
		./edit/slot/fileslot.o \
		./edit/filesignal.o \
		./edit/file.o \
		./about/about.o \
		./query/query.o \
		./query/querysignal.o \
		./query/slot/queryslot.o \
		./log/log.o \
		./log/logsignal.o \
		./log/slot/logslot.o \
		./mainwindow/slot/mainwindowslot.o \
		./mainwindow/slot/mainwindowslotlog.o \
		./mainwindow/slot/mainwindowslotflush.o \
		./mainwindow/slot/mainwindowslotstatus.o \
		./mainwindow/slot/mainwindowslotscript.o \
		./mainwindow/slot/mainwindowslottable.o \
		./mainwindow/slot/mainwindowslotquery.o \
		./mainwindow/slot/mainwindowslotuser.o \
		./mainwindow/slot/mainwindowslotstyle.o \
		./mainwindow/slot/mainwindowslotconnect.o \
		./mainwindow/slot/mainwindowslotwindow.o \
		./mainwindow/slot/mainwindowslotabout.o \
		./mainwindow/slot/mainwindowslotschema.o \
		./mainwindow/slot/mainwindowslotschemahost.o \
		./mainwindow/slot/mainwindowslotschemadatabase.o \
		./mainwindow/slot/mainwindowslotschematable.o \
		./mainwindow/slot/mainwindowslotschemafield.o \
		./mainwindow/slot/mainwindowslotprocess.o \
		./mainwindow/slot/mainwindowslotvariable.o \
		./mainwindow/slot/mainwindowslotping.o \
		./mainwindow/slot/mainwindowslotpassword.o \
		./mainwindow/slot/mainwindowslotxport.o \
		./mainwindow/slot/mainwindowslothighlight.o \
		./mainwindow/slot/mainwindowslotshutdown.o \
		./mainwindow/slot/mainwindowslotprivilege.o \
		./mainwindow/slot/mainwindowslotxonfigure.o \
		./mainwindow/slot/mainwindowslotfind.o \
		./mainwindow/mainwindowsession.o \
		./mainwindow/mainwindowmenu.o \
		./mainwindow/mainwindowhistory.o \
		./widget/multilinelistviewitem.o \
		./widget/querylistview.o \
		./widget/querytable.o \
		./widget/serverlistviewitem.o \
		./schema/slot/schemaslot.o \
		./schema/schema.o \
		./flush/flush.o \
		./flush/flushsignal.o \
		./flush/slot/flushslot.o \
		./process/process.o \
		./process/processsignal.o \
		./process/slot/processslot.o \
		./xport/xport.o \
		./xport/xportsignal.o \
		./xport/slot/xportslot.o \
		./xport/import.o \
		./xport/export.o \
		./field/field.o \
		./field/fieldsignal.o \
		./field/slot/fieldslot.o \
		./privilege/privilege.o \
		./privilege/privilegesignal.o \
		./privilege/slot/privilegeslot.o \
		./xonfigure/xonfigure.o \
		./xonfigure/xonfiguresignal.o \
		./xonfigure/slot/xonfigureslot.o \
		./widget/xworkspace.o \
		./xuery/xuery.o \
		./xuery/xuerysignal.o \
		./xuery/slot/xueryslot.o \
		./password/password.o \
		./password/passwordsignal.o \
		./password/slot/passwordslot.o \
		./style/jfcstyle.o \
		./style/stepstyle.o \
		./find/find.o \
		./find/findsignal.o \
		./find/slot/findslot.o
SRCMOC	=	../../include/moc_mainwindow.cpp \
		../../include/moc_connect.cpp \
		../../include/moc_mdiwindow.cpp \
		../../include/moc_user.cpp \
		../../include/moc_table.cpp \
		../../include/moc_script.cpp \
		../../include/moc_edit.cpp \
		../../include/moc_file.cpp \
		../../include/moc_log.cpp \
		../../include/moc_about.cpp \
		../../include/moc_query.cpp \
		../../include/moc_schema.cpp \
		../../include/moc_flush.cpp \
		../../include/moc_process.cpp \
		../../include/moc_xport.cpp \
		../../include/moc_querylistview.cpp \
		../../include/moc_querytable.cpp \
		../../include/moc_field.cpp \
		../../include/moc_privilege.cpp \
		../../include/moc_xonfigure.cpp \
		../../include/moc_xworkspace.cpp \
		../../include/moc_xuery.cpp \
		../../include/moc_password.cpp \
		../../include/moc_stepstyle.cpp \
		../../include/moc_find.cpp
OBJMOC	=	../../include/moc_mainwindow.o \
		../../include/moc_connect.o \
		../../include/moc_mdiwindow.o \
		../../include/moc_user.o \
		../../include/moc_table.o \
		../../include/moc_script.o \
		../../include/moc_edit.o \
		../../include/moc_file.o \
		../../include/moc_log.o \
		../../include/moc_about.o \
		../../include/moc_query.o \
		../../include/moc_schema.o \
		../../include/moc_flush.o \
		../../include/moc_process.o \
		../../include/moc_xport.o \
		../../include/moc_querylistview.o \
		../../include/moc_querytable.o \
		../../include/moc_field.o \
		../../include/moc_privilege.o \
		../../include/moc_xonfigure.o \
		../../include/moc_xworkspace.o \
		../../include/moc_xuery.o \
		../../include/moc_password.o \
		../../include/moc_stepstyle.o \
		../../include/moc_find.o
DIST	=	
TARGET	=	libmysqlui.so.1.0.0
TARGETA	=	../../lib/libmysqlui.a
TARGETD	=	libmysqlui.so.1.0.0
TARGET0	=	libmysqlui.so
TARGET1	=	libmysqlui.so.1
TARGET2	=	libmysqlui.so.1.0

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: ../../lib/libmysqlui.so.1.0.0

../../lib/libmysqlui.so.1.0.0: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-rm -f ../../lib/$(TARGET)
	-rm -f ../../lib/$(TARGET0)
	-rm -f ../../lib/$(TARGET1)
	-rm -f ../../lib/$(TARGET2)
	-mv $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../lib/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake:
	tmake mysql.pro

dist:
	$(TAR) mysql.tar mysql.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) mysql.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-rm -f *~ core

####### Compile

./mainwindow/mainwindow.o: ./mainwindow/mainwindow.cxx \
		./mainwindow/mainwindow.h \
		./mainwindow/mainwindowglobal.h \
		./mainwindow/mdiwindow.h

./mainwindow/mainwindowevent.o: ./mainwindow/mainwindowevent.cxx \
		./mainwindow/mainwindow.h \
		./mainwindow/mainwindowglobal.h

./mainwindow/mainwindowglobal.o: ./mainwindow/mainwindowglobal.cxx \
		./mainwindow/mainwindowglobal.h

./mainwindow/mainwindowsignal.o: ./mainwindow/mainwindowsignal.cxx \
		./mainwindow/mainwindow.h \
		./mainwindow/mainwindowglobal.h

./mainwindow/mainwindowlayout.o: ./mainwindow/mainwindowlayout.cxx \
		./mainwindow/mainwindow.h \
		./mainwindow/mainwindowglobal.h \
		./mainwindow/mdiwindow.h

./mainwindow/mdiwindow.o: ./mainwindow/mdiwindow.cxx \
		./mainwindow/mdiwindow.h

./connect/connect.o: ./connect/connect.cxx \
		./connect/connect.h

./connect/connectsignal.o: ./connect/connectsignal.cxx \
		./connect/connect.h

./connect/slot/connectslot.o: ./connect/slot/connectslot.cxx \
		./connect/connect.h

## mysql-navigator 1.4.2

=== debian/changelog ===
mysql-navigator (1.4.2-13) unstable; urgency=low

  * build with last automake
  * run 'autoreconf' to update generated config files (so also relibtoolize);
    thanks to Lucas Nussbaum for the report; Closes: #628350
  * add misc:Depends
  * bump Standards-Version to 3.9.2 (no changes needed)
  * convert to '3.0 (quilt)' source format
  * fix build target
  * add Vcs-{Git,Browser}

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Aug 2011 17:39:31 +0200

mysql-navigator (1.4.2-12) unstable; urgency=low

  * debian/{control, copyright, patches/*.dpatch}
    - updated my email address
  * debian/{control, compat, rules}
    - bump to debhelper 7
    - use dh_prep instead of 'dh_clean -k'
  * debian/control
    - bump Standards-Version to 3.8.1
      + added debian/README.source
    - adjust Section to 'database' as override file says
  * debian/copyright
    - added explicit notice for debian packaging copyright
    - adjusted link to GPL-2 local license file
  * debian/mysql-navigator.doc-base
    - updated section to 'Data Management'

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Jun 2009 23:04:00 +0200

mysql-navigator (1.4.2-11) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.7.3
    - moved Homepage field from binary to source stanza
    - added dpatch build-dependency
    - added dependency on autoconf, libtool, automake1.7 for relibtoolizing
  * debian/menu
    - updated to new menu policy
  * debian/rules
    - added dpatch stuff
    - relibtoolizing in the configure target
    - don't ignore errors during clean target (lintian warning)
    - added remove of link header files in "include" dir
    - removed unneeded dh_makeshlibs call
    - simple changes to parameters to dh_* spacing
  * debian/patches/01_restore_pristine_code.dpatch
    - added to avoid direct upstream code modification
  * debian/desktop
    - removed "Encoding" entry since deprecated (lintian warning)
  * debian/patches/10_bts-457141_fix_export_database.dpatch
    - added to treat TIMESTAMP as strings, including those fields in quotes
      when exported (Closes: #457141)
  * debian/copyright
    - added copyright note, inferred by upstream changelog
    - clear identification of upstream author and license texts
    - license text fixed to be GPLv2 or any next release

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 16 Jan 2008 19:37:42 +0100

mysql-navigator (1.4.2-10) unstable; urgency=low

  * update libtool to address FTBFS on k*BSD (closes: #430353)
    - thanks to Petr Salinger for the bug report and instructions

 -- tony mancill <tmancill@debian.org>  Sun, 24 Jun 2007 09:49:22 -0700

mysql-navigator (1.4.2-9) unstable; urgency=low

  * Add .desktop file; thanks to Luca Falavigna (closes: #425128)
  * Update include/Makefile.in to address FTBFS if built twice in a row
    (closes: #424591)

 -- tony mancill <tmancill@debian.org>  Wed, 30 May 2007 13:03:03 -0700

mysql-navigator (1.4.2-8) unstable; urgency=low

  * New maintainer. (Closes: #316938)
  * debian/compat
    - bump to 5
  * debian/control
    - changed Maintainer
    - bump Standard-Version to 3.7.2 (no changes)
    - versioned dependency on debhelper bumped to 5
  * debian/copyright
    - updated maintainer info

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 12 Aug 2006 09:44:51 +0200

mysql-navigator (1.4.2-7) unstable; urgency=medium

  * QA upload.
  * Upgrade to libmysqlclient15-dev.  Closes: #343783.
    - src/mysql/sql/sql.cxx: Add SQL::escape_id() to quote identifiers.
    - src/mysql/mainwindow/mainwindowslotschema.cxx: Replace obsoleted
      functions mysql_create_db() and mysql_drop_db() with corresponding
      SQL queries, using SQL::escape_id() to quote database names.
    - src/mysql/mainwindow/mainwindowslotshutdown.cxx: Supply an extra
      argument to mysql_shutdown().

 -- Matej Vela <vela@debian.org>  Fri, 17 Feb 2006 08:48:28 +0100

mysql-navigator (1.4.2-6) unstable; urgency=low

  * QA upload.
  * Automatically update config.sub and config.guess,  Closes: #327461.
  * debian/copyright: Update upstream URL and FSF address.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Sat, 10 Sep 2005 13:50:28 +0200

mysql-navigator (1.4.2-5) unstable; urgency=low

  * QA Upload
  * Recompile for CXX transition
  * Bump Standards-Version to 3.6.2 (no changes)
  * Quote strings in menu file

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 26 Aug 2005 23:15:26 +0200

mysql-navigator (1.4.2-4) unstable; urgency=low

  * Orphaning, maintainer set to QA Group

 -- Brian Nelson <pyro@debian.org>  Mon,  4 Jul 2005 18:47:39 -0700

mysql-navigator (1.4.2-3) unstable; urgency=low

  * Removed unnecessary dh_testroot from debian/rules clean target.
  * Updated build-dependencies to continue to build against
    libmysqlclient10.
  * Updated and improved the copyright file.
  * Fixed a use of multiline strings that was causing a failure to build
    with GCC 3.3. (Closes: #196707)
  * Bumped up standards version.  No changes required.

 -- Brian Nelson <pyro@debian.org>  Mon,  9 Jun 2003 15:52:25 -0700

mysql-navigator (1.4.2-2) unstable; urgency=low

  * Ugh. Really fix the doc-base file path. (Closes: #183161)

 -- Brian Nelson <pyro@debian.org>  Fri, 14 Mar 2003 10:24:33 -0800

mysql-navigator (1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Fixed error in doc-base file path. (Closes: #183161)
  * Use debian/compat instead of DH_COMPAT=n in debian/rules.
  * debian/control: added the homepage to the description.
  * No longer need to use dpatch build system since upstream incorporated
    most changes.
  * Go along with upstream and name the binary mysqlnavigator instead of
    mysql-navigator.  Provide a symlink for compatibility.
  * Don't rerun autotools at build time.
  * Removed build-dependencies on autotools.

 -- Brian Nelson <pyro@debian.org>  Wed, 12 Mar 2003 09:36:54 -0800

mysql-navigator (1.4.1-5) unstable; urgency=low

  * Include qptrlist.h instead of qlist.h in sql.h and xcombobox.h.


=== debian/control ===
Source: mysql-navigator
Section: database
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libqt3-mt-dev (>= 3.1.1-3), libmysqlclient15-dev, autoconf, libtool, automake
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/mysqlnavigator/
Vcs-Git: git://anonscm.debian.org/users/morph/mysql-navigator.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/morph/mysql-navigator.git

Package: mysql-navigator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI client program for MySQL database server
 MySQL Navigator is a MySQL database server GUI client program. The purpose
 of MySQL Navigator is to provide a useful client interface to MySQL
 database servers, whilst supporting multiple operating systems and
 languages. You can currently import/export database, enter queries, get
 result sets, edit scripts, run scripts, add, alter, and delete users, and
 retrieve client and server information.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

confflags := --prefix=/usr \
	     --with-mysql-includes=/usr/include/mysql \
	     --with-qt-includes=/usr/include/qt3
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_BUILD_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

CXXFLAGS := -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	
	# update configuration files & relibtoolizing
	autoreconf -i

	ln -sf /usr/share/misc/config.sub /usr/share/misc/config.guess .
	./configure $(confflags)

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure
	dh_testdir

	$(MAKE) CXXFLAGS='$(CXXFLAGS)' QTDIR='/usr/share/qt3'

	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp debian/mysql-navigator/usr/bin/mysql-navigator

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -name "*_moc.cpp" -exec rm '{}' ';'
	rm -f config.sub config.guess
	rm -f include/*.h

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/mysql-navigator

	# Install the html documentation, excluding CVS dirs
	install -d \
	  $(CURDIR)/debian/mysql-navigator/usr/share/doc/mysql-navigator/Using_MySQL_Navigator
	cd "doc/Using MySQL Navigator" && tar --create --exclude CVS --file - . | \
	  (cd $(CURDIR)/debian/mysql-navigator/usr/share/doc/mysql-navigator/Using_MySQL_Navigator \
	   && tar xBf -)

	# Install icon and desktop file
	install -d $(CURDIR)/debian/mysql-navigator/usr/share/pixmaps
	install -d $(CURDIR)/debian/mysql-navigator/usr/share/applications
	install -m 0644 pics/database.xpm $(CURDIR)/debian/mysql-navigator/usr/share/pixmaps/mysql-navigator.xpm
	install -m 0644 debian/desktop $(CURDIR)/debian/mysql-navigator/usr/share/applications/mysql-navigator.desktop

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman		debian/mysqlnavigator.1
	dh_installchangelogs	ChangeLog
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/mysqlnavigator/mysqlnavigator-([\d.]+)\.tar\.gz debian uupdate
